#include <SetDecorCommand.h>


SetDecorCommand :: SetDecorCommand() :
	name("SetDecor")
{
}


string SetDecorCommand :: execute(Projection *projection, Profile *profile)
{
	int i;
	Gnuplot * gplt = projection->projection();

	profile->decoration(true);

	gplt->cmd ("set title 'RCD - %s'", profile->fileName().c_str());
	gplt->cmd ("set xlabel '[ %s ]';", projection->compToLabel(0).c_str());
	gplt->cmd ("set xtics");
	gplt->cmd ("set ytics");

	if (profile->grid()) gplt->cmd ("set grid");

	return "";
}


